//==============================================================================
//  AdestoTech Devices AT45DB081E (1.7 to 3.6V) timing data
//  Copyright 2013 Adesto Technologies Corporation, Inc.
//
//  Jul, 2017
//
//  Revision History:
//
//  1.0    : Initial release (ref datasheet DS-45DB081E-028I-DFLASH-1/2017)
//==============================================================================

    // Round down for the least significant digit, on account of .ge. in model
    specparam tSCK_CAR1  = 11.764;	// 11.764ns = 1/85Mhz
    specparam tSCK_CAR2  = 20.000;	// 20.000ns = 1/50Mhz
    specparam tSCK_CAR3  = 50.000;	// 50.000ns = 1/20Mhz
    specparam tSCK_SCK   = 11.764;	// 11.764ns = 1/85Mhz
    specparam tSCK_MAX   = 11.764;	// 11.764ns = 1/85Mhz

    specparam tDIS	=         8.0;	// Output Disable
    specparam tV	=         7.0;	// Output Valid
    specparam tHO	=           0;  // Output Hold Time
    specparam tXFR	=     200_000;	// Page to Buffer Transfer
    specparam tCOMP	=     200_000;	// Page to Buffer Compare
    specparam tEP	=  55_000_000;	// Page Erase and Programming
    specparam tP	=   4_000_000;	// Page Programming
    specparam tBP	=       8_000;	// Byte Programming
    specparam tPE	=  50_000_000;	// Page Erase
    specparam tBE	=  75_000_000;	// Block Erase
    specparam tBEmin	=  75_000_000;	// Assumed per-block erase time for Sector/Chip erase [non-spec]
    specparam tSE	=       1.3e9;	// Sector Erase
    specparam tCE	=      20.0e9;	// Chip Erase
    specparam tEDPD	=       3_000;	// CSB High to Deep Power-Down
    specparam tRDPD	=      35_000;	// Resume from Deep Power-Down
    specparam tEUDPD	=       3_000;	// CSB High to Ultra-Deep Power-Down
    specparam tXUDPD	=     100_000;	// Resume from Ultra-Deep Power-Down
    specparam tVCSL	=      70_000;	// Power-up to foreground opcodes enabled
    specparam tPUW	=   3_000_000;	// Power-up to background opcodes enabled
    specparam tWRCR	=  35_000_000;	// Write Configuration Register [N/A for AT45DB series]
    specparam tOTPP	=     500_000;	// Security OTP Register Programming
    specparam tLOCK	=     200_000;	// Freeze Sector Lockdown
    specparam tSUSP	=      20_000;	// Program Suspend Time [N/A for AT45DB series]
    specparam tSUSE	=      40_000;	// Erase Suspend Time [N/A for AT45DB series]
    specparam tRESP	=       5_000;	// Program Resume Time [N/A for AT45DB series]
    specparam tRESE	=       5_000;	// Erase Resume Time [N/A for AT45DB series]
    specparam tSWRST	=      50_000;	// Software Reset Time
    specparam tABORT	=       2_600;	// Processing time for aborted write [non-spec]
    specparam tWPE	=	1_000;	// WPB low to protection enabled
    specparam tWPD	=	1_000;	// WPB low to protection disabled

    specparam tWH =     4.0;         // SCK High Time
    specparam tWL =     4.0;         // SCK Low Time
    specparam tCS =      30;         // Minimum CSB High Time
    specparam tCSS =      6;         // CSB Setup Time
    specparam tCSH =      5;         // CSB Hold Time
    specparam tSU =       2;         // Data In Setup Time
    specparam tH =        1;         // Data In Hold Time
    specparam tRST = 10_000;         // RESETB Pulse Width
    specparam tREC =  1_000;         // RESETB Recovery Time
    specparam tCSLU =    20;	     // Minimum CSB low time to exit Ultra-Deep Power-Down

//==============================================================================
