//==============================================================================
//  AdestoTech Devices AT45DQ161 (2.5V) timing data
//  Copyright 2013 Adesto Technologies Corporation, Inc.
//
//  May, 2013
//
//  Revision History:
//
//  1.0    : Initial release (ref datasheet 8790A-DFLASH-11/2012)
//==============================================================================

    // Round down for the least significant digit, on account of .ge. in model
    specparam tSCK_CAR1  = 11.764;	// 11.764ns = 1/85MHz
    specparam tSCK_CAR2  = 20.000;	// 20.000ns = 1/50Mhz
    specparam tSCK_CAR3  = 100.00;	// 100.00ns = 1/10Mhz
    specparam tSCK_SCK   = 11.764;	// 11.764ns = 1/85MHz
    specparam tSCK_MAX   = 10.000;	// 10.000ns = 1/100MHz

    specparam tDIS	=         6.0;	// Output Disable
    specparam tV	=         6.0;	// Output Valid
    specparam tHO	=           0;  // Output Hold Time
    specparam tXFR	=     200_000;	// Page to Buffer Transfer
    specparam tCOMP	=     220_000;	// Page to Buffer Compare
    specparam tEP	=  40_000_000;	// Page Erase and Programming
    specparam tP	=   6_000_000;	// Page Programming
    specparam tBP	=       8_000;	// Byte Programming
    specparam tPE	=  35_000_000;	// Page Erase
    specparam tBE	= 100_000_000;	// Block Erase
    specparam tBEmin	=  40_000_000;	// Assumed per-block erase time for Sector/Chip erase [non-spec]
    specparam tSE	=       3.5e9;	// Sector Erase
    specparam tCE	=      40.0e9;	// Chip Erase
    specparam tEDPD	=       3_000;	// CSB High to Deep Power-Down
    specparam tRDPD	=      35_000;	// Resume from Deep Power-Down
    specparam tEUDPD	=       3_000;	// CSB High to Ultra-Deep Power-Down
    specparam tXUDPD	=     120_000;	// Resume from Ultra-Deep Power-Down
    specparam tVCSL	=      70_000;	// Power-up to foreground opcodes enabled
    specparam tPUW	=   5_000_000;	// Power-up to background opcodes enabled
    specparam tWRCR	=  35_000_000;	// Write Configuration Register
    specparam tOTPP	=     500_000;	// Security OTP Register Programming
    specparam tLOCK	=     200_000;	// Freeze Sector Lockdown
    specparam tSUSP	=      20_000;	// Program Suspend Time
    specparam tSUSE	=      40_000;	// Erase Suspend Time
    specparam tRESP	=      20_000;	// Program Resume Time
    specparam tRESE	=      40_000;	// Erase Resume Time
    specparam tSWRST	=      30_000;	// Software Reset Time
    specparam tABORT	=       2_600;	// Processing time for aborted write [non-spec]
    specparam tWPE	=	1_000;	// WPB low to protection enabled
    specparam tWPD	=	1_000;	// WPB low to protection disabled

    specparam tWH =     5.2;         // SCK High Time
    specparam tWL =     5.2;         // SCK Low Time
    specparam tCS =      30;         // Minimum CSB High Time
    specparam tCSS =      5;         // CSB Setup Time
    specparam tCSH =      5;         // CSB Hold Time
    specparam tSU =       2;         // Data In Setup Time
    specparam tH =        1;         // Data In Hold Time
    specparam tRST = 10_000;         // RESETB Pulse Width
    specparam tREC =  1_000;         // RESETB Recovery Time
    specparam tCSLU =    20;	     // Minimum CSB low time to exit Ultra-Deep Power-Down

//==============================================================================
